/*
 * Class DYNAMIC_CHAIN [INTEGER_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_491 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_491 [] = {0xFF01,237,490,188,0xFFFF};
static const EIF_TYPE_INDEX egt_2_491 [] = {0xFF01,490,188,0xFFFF};
static const EIF_TYPE_INDEX egt_3_491 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_491 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_491 [] = {0xFF01,490,188,0xFFFF};
static const EIF_TYPE_INDEX egt_6_491 [] = {0xFF01,490,188,0xFFFF};
static const EIF_TYPE_INDEX egt_7_491 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_491 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_491 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_491 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_491 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_491 [] = {490,188,0xFFFF};
static const EIF_TYPE_INDEX egt_13_491 [] = {0xFF01,490,188,0xFFFF};
static const EIF_TYPE_INDEX egt_14_491 [] = {0xFF01,474,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_491 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_491 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_491 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_491 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_491 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_20_491 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_491 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_491 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_491 [] = {0xFF01,466,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_491 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_491 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_491 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_491 [] = {0xFF01,490,188,0xFFFF};
static const EIF_TYPE_INDEX egt_28_491 [] = {0xFF01,490,188,0xFFFF};
static const EIF_TYPE_INDEX egt_29_491 [] = {0xFF01,141,0xFFFF};


static const struct desc_info desc_491[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_491), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_491), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_491), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_491), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_491), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_491), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_491), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_491), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_491), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_491), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_491), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_491), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_491), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_491), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4336, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2029, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1875, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1876, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1877, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1878, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1879, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_491), 2349, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_491), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_491), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2547, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2548, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1997, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4332, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4337, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2474, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4340, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_491), 2342, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2343, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4343, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_491), 4338, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_491), 4341, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4346, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_491), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4325, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4342, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2345, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2346, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2347, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2348, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_491), 4338, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_491), 4339, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4346, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4328, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4328, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4577, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4578, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1938, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2544, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4330, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4579, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4580, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4581, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_491), 3373, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_491), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2340, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2542, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4329, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_491), 4334, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_491), 4335, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4344, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4345, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4347, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4348, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4326, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4327, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4331, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_491), 4582, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2339, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2338, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2341, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2341, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4340, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_491), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_491), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init491(void)
{
	IDSC(desc_491, 0, 490);
	IDSC(desc_491 + 1, 1, 490);
	IDSC(desc_491 + 32, 77, 490);
	IDSC(desc_491 + 41, 243, 490);
	IDSC(desc_491 + 47, 155, 490);
	IDSC(desc_491 + 56, 256, 490);
	IDSC(desc_491 + 59, 30, 490);
	IDSC(desc_491 + 66, 187, 490);
	IDSC(desc_491 + 72, 282, 490);
	IDSC(desc_491 + 81, 99, 490);
	IDSC(desc_491 + 83, 294, 490);
	IDSC(desc_491 + 86, 237, 490);
	IDSC(desc_491 + 88, 329, 490);
	IDSC(desc_491 + 102, 229, 490);
	IDSC(desc_491 + 103, 96, 490);
	IDSC(desc_491 + 111, 184, 490);
	IDSC(desc_491 + 114, 50, 490);
	IDSC(desc_491 + 115, 35, 490);
	IDSC(desc_491 + 116, 172, 490);
}


#ifdef __cplusplus
}
#endif
